{
  "name": "hima",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --ssl",
    "test": "ng test",
    "test:isa": "ng test sales",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "build": "ng build --configuration=development",
    "build-prod": "ng build --prod",
    "gen:swagger": "npm-run-all -l -n gen:swagger:*",
    "gen:swagger:availability": "ng-swagger-gen --config ng-swagger-gen/availability.json",
    "gen:swagger:cat": "ng-swagger-gen --config ng-swagger-gen/cat.json",
    "gen:swagger:checkout": "ng-swagger-gen --config ng-swagger-gen/checkout.json",
    "gen:swagger:crm": "ng-swagger-gen --config ng-swagger-gen/crm.json",
    "gen:swagger:isa": "ng-swagger-gen --config ng-swagger-gen/isa.json",
    "gen:swagger:oms": "ng-swagger-gen --config ng-swagger-gen/oms.json",
    "gen:swagger:print": "ng-swagger-gen --config ng-swagger-gen/print.json",
    "gen:swagger:eis": "ng-swagger-gen --config ng-swagger-gen/eis.json",
    "prettier": "prettier --write ."
  },
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~10.1.2",
    "@angular/cdk": "^8.2.3",
    "@angular/cdk-experimental": "^8.2.3",
    "@angular/common": "^10.1.2",
    "@angular/compiler": "~10.1.2",
    "@angular/core": "~10.1.2",
    "@angular/forms": "~10.1.2",
    "@angular/localize": "^10.1.2",
    "@angular/platform-browser": "~10.1.2",
    "@angular/platform-browser-dynamic": "~10.1.2",
    "@angular/router": "~10.1.2",
    "@angular/service-worker": "~10.1.2",
    "@cmf/catalog-api": "^0.1.34",
    "@cmf/core": "^0.1.34",
    "@cmf/inventory-api": "^0.1.34",
    "@cmf/trade-api": "^0.1.34",
    "@isa/catsearch-api": "^0.0.56",
    "@isa/print-api": "0.0.56",
    "@isa/remi-api": "^0.0.56",
    "@ng-idle/core": "^8.0.0-beta.4",
    "@ng-idle/keepalive": "^8.0.0-beta.4",
    "@ngrx/effects": "^8.6.0",
    "@ngrx/entity": "^8.6.0",
    "@ngrx/store": "^8.6.0",
    "@ngrx/store-devtools": "^8.6.0",
    "@ngxs/store": "^3.6.2",
    "@types/faker": "^4.1.5",
    "@zxing/ngx-scanner": "^1.3.0",
    "angular-oauth2-oidc": "^8.0.4",
    "angular2-signaturepad": "^2.8.0",
    "application": "^0.1.4",
    "core-js": "^2.6.5",
    "faker": "^4.1.0",
    "hammerjs": "^2.0.8",
    "intersection-observer": "^0.11.0",
    "ng-connection-service": "^1.0.4",
    "ngx-infinite-scroll": "^7.2.0",
    "ngx-perfect-scrollbar": "^7.2.1",
    "ngx-toggle-switch": "^2.0.5",
    "node-sass": "^4.12.0",
    "rxjs": "~6.5.5",
    "scandit-sdk": "^4.1.1",
    "scandit-sdk-angular": "^2.0.0",
    "smoothscroll-polyfill": "^0.4.4",
    "socket.io": "^2.2.0",
    "tslib": "^2.0.0",
    "uglify-js": "^3.4.9",
    "web-animations-js": "^2.3.2",
    "zone.js": "~0.10.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.1001.2",
    "@angular-devkit/build-ng-packagr": "~0.1001.2",
    "@angular/cli": "^10.1.2",
    "@angular/compiler-cli": "^10.1.2",
    "@angular/language-service": "~10.1.2",
    "@ngxs/devtools-plugin": "^3.6.2",
    "@ngxs/logger-plugin": "^3.6.2",
    "@types/jasmine": "^2.8.16",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "^12.11.1",
    "codelyzer": "^5.1.2",
    "husky": "^4.2.3",
    "jasmine-core": "~3.5.0",
    "jasmine-marbles": "^0.6.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~5.0.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "ng-packagr": "^10.1.0",
    "ng-swagger-gen": "^1.5.0",
    "ngrx-store-freeze": "^0.2.4",
    "npm-run-all": "^4.1.5",
    "prettier": "2.0.1",
    "pretty-quick": "^2.0.1",
    "protractor": "~7.0.0",
    "ts-node": "~7.0.0",
    "tslint": "~6.1.0",
    "typescript": "~4.0.3"
  }
}
